DEVS-Fire API

setCellSpaceLocation

Set the geographic center of the simulation. Required when using online fuel data. Accepts any US coordinate.

POST
/setCellSpaceLocation

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/setCellSpaceLocation/"params: dict[str, float | str] = {    "userToken": "abc123xyz",    "lat": 1526555.822562622,    "lng": -35655.01701560877,}response = requests.post(base_url, params=params)print(response.text)
"Set cell space location"
{
  "timestamp": "2026-05-20T16:41:20.921+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/setCellSpaceLocation"
}

Response Body

text/plain

application/json